FunctionMapperImpl.Function (Apache Tomcat 9.0.83 API Documentation)
Description: declaration: package: org.apache.el.lang, class: FunctionMapperImpl, class: Function

Package org.apache.el.lang

# Class FunctionMapperImpl.Function

java.lang.Object
org.apache.el.lang.FunctionMapperImpl.Function

All Implemented Interfaces:
  `Externalizable`, `Serializable`

Enclosing class:
  FunctionMapperImpl

public static class FunctionMapperImpl.Function extends Object implements Externalizable

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `localName`
  `protected Method`
  `m`
  `protected String`
  `name`
  `protected String`
  `owner`
  `protected String`
  `prefix`
  `protected String[]`
  `types`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Function()`
  `Function(String prefix, String localName, Method m)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `Method`
  `getMethod()`
  `int`
  `hashCode()`
  `void`
  `readExternal(ObjectInput in)`
  `void`
  `writeExternal(ObjectOutput out)`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### m

    protected transient Method m

  - ### owner

    protected String owner

  - ### name

    protected String name

  - ### types

    protected String[] types

  - ### prefix

    protected String prefix

  - ### localName

    protected String localName

- ## Constructor Details

  - ### Function

    public Function(String prefix, String localName, Method m)

  - ### Function

    public Function()

- ## Method Details

  - ### writeExternal

    public void writeExternal(ObjectOutput out) throws IOException
    Specified by:
      `writeExternal` in interface `Externalizable`
    Throws:
      `IOException`

  - ### readExternal

    public void readExternal(ObjectInput in) throws IOException, ClassNotFoundException
    Specified by:
      `readExternal` in interface `Externalizable`
    Throws:
      `IOException`
      `ClassNotFoundException`

  - ### getMethod

    public Method getMethod()

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`